Merge container tags
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({containerTags: ['<string>'], targetContainerTag: '<string>'})
};
fetch('https://api.supermemory.ai/v3/container-tags/merge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.supermemory.ai/v3/container-tags/merge"
payload = {
"containerTags": ["<string>"],
"targetContainerTag": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)curl --request POST \
--url https://api.supermemory.ai/v3/container-tags/merge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"containerTags": [
"<string>"
],
"targetContainerTag": "<string>"
}
'{
"success": true,
"status": "queued",
"mergeId": "<string>",
"targetTag": "<string>",
"sourceTags": [
"<string>"
]
}{
"error": "Invalid request parameters",
"details": "Query must be at least 1 character long"
}{
"error": "Invalid request parameters",
"details": "Query must be at least 1 character long"
}{
"error": "Invalid request parameters",
"details": "Query must be at least 1 character long"
}{
"error": "Invalid request parameters",
"details": "Query must be at least 1 character long"
}{
"error": "Invalid request parameters",
"details": "Query must be at least 1 character long"
}Merge container tags
Merge multiple container tags into a target tag. All documents from the source tags will be updated to reference the target tag, and the source tags will be deleted after successful merge.
POST
/
v3
/
container-tags
/
merge
Merge container tags
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({containerTags: ['<string>'], targetContainerTag: '<string>'})
};
fetch('https://api.supermemory.ai/v3/container-tags/merge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.supermemory.ai/v3/container-tags/merge"
payload = {
"containerTags": ["<string>"],
"targetContainerTag": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)curl --request POST \
--url https://api.supermemory.ai/v3/container-tags/merge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"containerTags": [
"<string>"
],
"targetContainerTag": "<string>"
}
'{
"success": true,
"status": "queued",
"mergeId": "<string>",
"targetTag": "<string>",
"sourceTags": [
"<string>"
]
}{
"error": "Invalid request parameters",
"details": "Query must be at least 1 character long"
}{
"error": "Invalid request parameters",
"details": "Query must be at least 1 character long"
}{
"error": "Invalid request parameters",
"details": "Query must be at least 1 character long"
}{
"error": "Invalid request parameters",
"details": "Query must be at least 1 character long"
}{
"error": "Invalid request parameters",
"details": "Query must be at least 1 character long"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Merge queued successfully
Whether the merge job was queued successfully.
The queued status of the merge job.
Available options:
queued Identifier for the queued merge job.
The target container tag that documents will be merged into.
List of source container tags queued for merge.
Was this page helpful?